Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.ehealth.businessconnector.ehbox.api.domain
Class Document

    java.lang.Object
      be.ehealth.businessconnector.ehbox.api.domain.Document

All Implemented Interfaces:
  Serializable

    public class Document

extends Object
implements Serializable

Document class declaration. important : SigningValue will be lost when serialized

See Also:
  Serialized Form

Constructor Summary
`Document()`

Method Summary
`byte[]` | `getContent()`
`void` | `getDocument(String fullpath)` Writes content in the document file situated in the directory parameter.
`String` | `getFilename()`
`String` | `getMimeType()`
`SigningValue` | `getSigning()`
`String` | `getTitle()`
`void` | `setContent(byte[] content)`
`void` | `setContent(Byte[] content)` Deprecated. : use setContent(byte[] content)
`void` | `setContent(InputStream inputStream)`
`void` | `setException(UnsealConnectorException expection)`
`void` | `setFilename(String filename)`
`void` | `setMimeType(String mimeType)`
`void` | `setSigning(SigningValue signing)`
`void` | `setTitle(String title)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Document

    public Document()

Method Detail

### getDocument

    public final void getDocument(String fullpath)
                           throws EhboxBusinessConnectorException

  Writes content in the document file situated in the directory parameter.

  Parameters:
    `fullpath` - or a directory.
  Throws:
    `EhboxBusinessConnectorException` - if there's a problem while writing in the document

### getContent

    public final byte[] getContent()
                            throws UnsealConnectorException

  Returns:
    the content
  Throws:
    `UnsealConnectorException`

### setContent

    public final void setContent(byte[] content)

  Parameters:
    `content` - the content to set

### setContent

    @Deprecated
    public final void setContent(Byte[] content)

  Deprecated. : use setContent(byte[] content)

  Parameters:
    `content` - the content to set

### setContent

    public final void setContent(InputStream inputStream)
                          throws TechnicalConnectorException

  Parameters:
    `inputStream` - the content to set
  Throws:
    `TechnicalConnectorException`

### getFilename

    public final String getFilename()

  Returns:
    the filename

### setFilename

    public final void setFilename(String filename)

  Parameters:
    `filename` - the filename to set

### getSigning

    public final SigningValue getSigning()

  Returns:
    the signing

### setSigning

    public final void setSigning(SigningValue signing)

  Parameters:
    `signing` - the signing to set

### getMimeType

    public final String getMimeType()

  Returns:
    the mimeType

### setMimeType

    public final void setMimeType(String mimeType)

  Parameters:
    `mimeType` - the mimeType to set

### getTitle

    public final String getTitle()

  Returns:
    the title

### setTitle

    public final void setTitle(String title)

  Parameters:
    `title` - the title to set

### setException

    public void setException(UnsealConnectorException expection)

  Parameters:
    `expection` - the exception to set

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSAUDIOLOGIST 3.16.1 API
Copyright © {inceptionYear}-2018 eHealth. All Rights Reserved.